c80dcef69663b87d0977f98473bef6f08e709ae3
[scilab.git] / scilab / modules / graphic_objects / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) DIGITEO - 2010 - Allan CORNET
21 #
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27 #
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # This file must be used under the terms of the CeCILL.
34 # This source file is licensed as described in the file COPYING, which
35 # you should have received as part of this distribution.  The terms
36 # are also available at
37 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
38 #
39
40 ##########
41 ### Makefile included stuff
42 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
43 ##########
44
45
46 VPATH = @srcdir@
47 pkgdatadir = $(datadir)/@PACKAGE@
48 pkgincludedir = $(includedir)/@PACKAGE@
49 pkglibdir = $(libdir)/@PACKAGE@
50 pkglibexecdir = $(libexecdir)/@PACKAGE@
51 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
52 install_sh_DATA = $(install_sh) -c -m 644
53 install_sh_PROGRAM = $(install_sh) -c
54 install_sh_SCRIPT = $(install_sh) -c
55 INSTALL_HEADER = $(INSTALL_DATA)
56 transform = $(program_transform_name)
57 NORMAL_INSTALL = :
58 PRE_INSTALL = :
59 POST_INSTALL = :
60 NORMAL_UNINSTALL = :
61 PRE_UNINSTALL = :
62 POST_UNINSTALL = :
63 build_triplet = @build@
64 host_triplet = @host@
65 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
66         $(top_srcdir)/Makefile.incl.am
67 @NEED_JAVA_TRUE@am__append_1 = java
68
69 # With --enable-compilation-tests, launch java unitary tests
70 @COMPILATION_TESTS_TRUE@am__append_2 = test
71 @GIWS_TRUE@am__append_3 = giws
72 @GUI_TRUE@am__append_4 = libscigraphic_objects.la
73 @SWIG_TRUE@am__append_5 = swig
74 subdir = modules/graphic_objects
75 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
76 am__aclocal_m4_deps = $(top_srcdir)/m4/docbook.m4 \
77         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
78         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
79         $(top_srcdir)/m4/intel_compiler.m4 \
80         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
81         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/libsmath.m4 \
82         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/libxml2.m4 \
83         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
84         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
85         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
86         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/pvm.m4 \
87         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
88         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
89         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
90 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
91         $(ACLOCAL_M4)
92 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
93 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
94 CONFIG_CLEAN_FILES =
95 CONFIG_CLEAN_VPATH_FILES =
96 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
97 am__vpath_adj = case $$p in \
98     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
99     *) f=$$p;; \
100   esac;
101 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
102 am__install_max = 40
103 am__nobase_strip_setup = \
104   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
105 am__nobase_strip = \
106   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
107 am__nobase_list = $(am__nobase_strip_setup); \
108   for p in $$list; do echo "$$p $$p"; done | \
109   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
110   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
111     if (++n[$$2] == $(am__install_max)) \
112       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
113     END { for (dir in files) print dir, files[dir] }'
114 am__base_list = \
115   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
116   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
117 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
118         "$(DESTDIR)$(libscigraphic_objects_la_etcdir)" \
119         "$(DESTDIR)$(libscigraphic_objects_la_rootdir)" \
120         "$(DESTDIR)$(libscigraphic_objects_la_sci_gatewaydir)"
121 LTLIBRARIES = $(pkglib_LTLIBRARIES)
122 libscigraphic_objects_disable_la_LIBADD =
123 am__objects_1 = libscigraphic_objects_disable_la-nographic_objects.lo
124 am_libscigraphic_objects_disable_la_OBJECTS = $(am__objects_1)
125 libscigraphic_objects_disable_la_OBJECTS =  \
126         $(am_libscigraphic_objects_disable_la_OBJECTS)
127 libscigraphic_objects_disable_la_LINK = $(LIBTOOL) --tag=CC \
128         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
129         $(libscigraphic_objects_disable_la_CFLAGS) $(CFLAGS) \
130         $(libscigraphic_objects_disable_la_LDFLAGS) $(LDFLAGS) -o $@
131 libscigraphic_objects_la_DEPENDENCIES =  \
132         $(top_builddir)/modules/core/libscicore.la \
133         $(top_builddir)/libs/MALLOC/libscimalloc.la \
134         $(top_builddir)/modules/output_stream/libscioutput_stream.la
135 am__objects_2 =
136 am__objects_3 = libscigraphic_objects_la-CallGraphicController.lo
137 am__objects_4 = libscigraphic_objects_la-gw_graphic_objects.lo
138 am__objects_5 = libscigraphic_objects_la-sci_graphicfunction.lo
139 am__objects_6 = libscigraphic_objects_la-createGraphicObject.lo \
140         libscigraphic_objects_la-getGraphicObjectProperty.lo \
141         libscigraphic_objects_la-setGraphicObjectProperty.lo \
142         libscigraphic_objects_la-deleteGraphicObject.lo \
143         libscigraphic_objects_la-dataModel.lo \
144         libscigraphic_objects_la-Data3D.lo \
145         libscigraphic_objects_la-NgonData.lo \
146         libscigraphic_objects_la-NgonGeneralData.lo \
147         libscigraphic_objects_la-NgonPolylineData.lo
148 am_libscigraphic_objects_la_OBJECTS = $(am__objects_2) \
149         $(am__objects_3) $(am__objects_4) $(am__objects_5) \
150         $(am__objects_6)
151 libscigraphic_objects_la_OBJECTS =  \
152         $(am_libscigraphic_objects_la_OBJECTS)
153 libscigraphic_objects_la_LINK = $(LIBTOOL) --tag=CXX \
154         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
155         $(AM_CXXFLAGS) $(CXXFLAGS) $(libscigraphic_objects_la_LDFLAGS) \
156         $(LDFLAGS) -o $@
157 @GUI_TRUE@am_libscigraphic_objects_la_rpath = -rpath $(pkglibdir)
158 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
159 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
160 am__depfiles_maybe = depfiles
161 am__mv = mv -f
162 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
163         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
164 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
165         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
166         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
167 CCLD = $(CC)
168 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
169         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
170         $(LDFLAGS) -o $@
171 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
172         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
173 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
174         --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
175         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
176 CXXLD = $(CXX)
177 CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
178         --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
179         $(LDFLAGS) -o $@
180 SOURCES = $(libscigraphic_objects_disable_la_SOURCES) \
181         $(libscigraphic_objects_la_SOURCES)
182 DIST_SOURCES = $(libscigraphic_objects_disable_la_SOURCES) \
183         $(libscigraphic_objects_la_SOURCES)
184 DATA = $(libscigraphic_objects_la_etc_DATA) \
185         $(libscigraphic_objects_la_root_DATA) \
186         $(libscigraphic_objects_la_sci_gateway_DATA)
187 ETAGS = etags
188 CTAGS = ctags
189 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
190 ACLOCAL = @ACLOCAL@
191 ALL_LINGUAS = @ALL_LINGUAS@
192 AMTAR = @AMTAR@
193 ANT = @ANT@
194 ANTLR = @ANTLR@
195 AR = @AR@
196 AUTOCONF = @AUTOCONF@
197 AUTOHEADER = @AUTOHEADER@
198 AUTOMAKE = @AUTOMAKE@
199 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
200 AWK = @AWK@
201 BATIK = @BATIK@
202 BLAS_LIBS = @BLAS_LIBS@
203 BSH = @BSH@
204 CC = @CC@
205 CCDEPMODE = @CCDEPMODE@
206 CFLAGS = @CFLAGS@
207 CHECKSTYLE = @CHECKSTYLE@
208 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
209 COMMONS_IO = @COMMONS_IO@
210 COMMONS_LOGGING = @COMMONS_LOGGING@
211 CPP = @CPP@
212 CPPFLAGS = @CPPFLAGS@
213 CXX = @CXX@
214 CXXCPP = @CXXCPP@
215 CXXDEPMODE = @CXXDEPMODE@
216 CXXFLAGS = @CXXFLAGS@
217 CYGPATH_W = @CYGPATH_W@
218 DEFS = @DEFS@
219 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
220 DEPDIR = @DEPDIR@
221 DOCBOOK_ROOT = @DOCBOOK_ROOT@
222 DSYMUTIL = @DSYMUTIL@
223 DUMPBIN = @DUMPBIN@
224 ECHO_C = @ECHO_C@
225 ECHO_N = @ECHO_N@
226 ECHO_T = @ECHO_T@
227 EGREP = @EGREP@
228 EXEEXT = @EXEEXT@
229 F77 = @F77@
230 FFLAGS = @FFLAGS@
231 FFTW3_LIB = @FFTW3_LIB@
232 FFTW_ENABLE = @FFTW_ENABLE@
233 FGREP = @FGREP@
234 FLEXDOCK = @FLEXDOCK@
235 FLIBS = @FLIBS@
236 FOP = @FOP@
237 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
238 GIWS_BIN = @GIWS_BIN@
239 GLUEGEN_RT = @GLUEGEN_RT@
240 GMSGFMT = @GMSGFMT@
241 GMSGFMT_015 = @GMSGFMT_015@
242 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
243 GREP = @GREP@
244 GUI_ENABLE = @GUI_ENABLE@
245 HDF5_CFLAGS = @HDF5_CFLAGS@
246 HDF5_ENABLE = @HDF5_ENABLE@
247 HDF5_LIBS = @HDF5_LIBS@
248 HELP_ENABLE = @HELP_ENABLE@
249 INSTALL = @INSTALL@
250 INSTALL_DATA = @INSTALL_DATA@
251 INSTALL_PROGRAM = @INSTALL_PROGRAM@
252 INSTALL_SCRIPT = @INSTALL_SCRIPT@
253 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
254 INTLLIBS = @INTLLIBS@
255 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
256 JAR = @JAR@
257 JAVA = @JAVA@
258 JAVAC = @JAVAC@
259 JAVAH = @JAVAH@
260 JAVASCI_ENABLE = @JAVASCI_ENABLE@
261 JAVA_DEBUG_OPTIONS = @JAVA_DEBUG_OPTIONS@
262 JAVA_ENABLE = @JAVA_ENABLE@
263 JAVA_G = @JAVA_G@
264 JAVA_HOME = @JAVA_HOME@
265 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
266 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
267 JDB = @JDB@
268 JEUCLID_CORE = @JEUCLID_CORE@
269 JGRAPHX = @JGRAPHX@
270 JHALL = @JHALL@
271 JHDF5 = @JHDF5@
272 JLATEXMATH = @JLATEXMATH@
273 JLATEXMATH_FOP = @JLATEXMATH_FOP@
274 JOGL = @JOGL@
275 JROSETTA_API = @JROSETTA_API@
276 JROSETTA_ENGINE = @JROSETTA_ENGINE@
277 JUNIT = @JUNIT@
278 LAPACK_LIBS = @LAPACK_LIBS@
279 LD = @LD@
280 LDFLAGS = @LDFLAGS@
281 LIBICONV = @LIBICONV@
282 LIBINTL = @LIBINTL@
283 LIBM = @LIBM@
284 LIBOBJS = @LIBOBJS@
285 LIBS = @LIBS@
286 LIBTOOL = @LIBTOOL@
287 LIPO = @LIPO@
288 LN_S = @LN_S@
289 LOOKS = @LOOKS@
290 LTLIBICONV = @LTLIBICONV@
291 LTLIBINTL = @LTLIBINTL@
292 LTLIBOBJS = @LTLIBOBJS@
293 MAINT = @MAINT@
294 MAKEINFO = @MAKEINFO@
295 MATIO_CFLAGS = @MATIO_CFLAGS@
296 MATIO_ENABLE = @MATIO_ENABLE@
297 MATIO_LIBS = @MATIO_LIBS@
298 MKDIR_P = @MKDIR_P@
299 MSGCAT = @MSGCAT@
300 MSGFMT = @MSGFMT@
301 MSGFMT_015 = @MSGFMT_015@
302 MSGMERGE = @MSGMERGE@
303 NM = @NM@
304 NMEDIT = @NMEDIT@
305 OBJDUMP = @OBJDUMP@
306 OBJEXT = @OBJEXT@
307 OCAMLC = @OCAMLC@
308 OCAMLDEP = @OCAMLDEP@
309 OCAMLLEX = @OCAMLLEX@
310 OCAMLOPT = @OCAMLOPT@
311 OCAMLYACC = @OCAMLYACC@
312 OPENMP_CFLAGS = @OPENMP_CFLAGS@
313 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
314 OPENMP_ENABLE = @OPENMP_ENABLE@
315 OPENMP_LIBS = @OPENMP_LIBS@
316 OTOOL = @OTOOL@
317 OTOOL64 = @OTOOL64@
318 PACKAGE = @PACKAGE@
319 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
320 PACKAGE_NAME = @PACKAGE_NAME@
321 PACKAGE_STRING = @PACKAGE_STRING@
322 PACKAGE_TARNAME = @PACKAGE_TARNAME@
323 PACKAGE_URL = @PACKAGE_URL@
324 PACKAGE_VERSION = @PACKAGE_VERSION@
325 PATH_SEPARATOR = @PATH_SEPARATOR@
326 PCRE_CFLAGS = @PCRE_CFLAGS@
327 PCRE_CONFIG = @PCRE_CONFIG@
328 PCRE_LIBS = @PCRE_LIBS@
329 PCRE_VERSION = @PCRE_VERSION@
330 PKG_CONFIG = @PKG_CONFIG@
331 POSUB = @POSUB@
332 POW_LIB = @POW_LIB@
333 PVMGETARCH = @PVMGETARCH@
334 PVM_ARCH = @PVM_ARCH@
335 PVM_ENABLE = @PVM_ENABLE@
336 PVM_INCLUDE = @PVM_INCLUDE@
337 PVM_LIB = @PVM_LIB@
338 PYTHON = @PYTHON@
339 QDOX = @QDOX@
340 RANLIB = @RANLIB@
341 RELOCATABLE = @RELOCATABLE@
342 RT_LIB = @RT_LIB@
343 SAXON = @SAXON@
344 SCICOS_ENABLE = @SCICOS_ENABLE@
345 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
346 SED = @SED@
347 SET_MAKE = @SET_MAKE@
348 SET_RELOCATABLE = @SET_RELOCATABLE@
349 SHELL = @SHELL@
350 SKINLF = @SKINLF@
351 SPLINT = @SPLINT@
352 STRIP = @STRIP@
353 SWIG_BIN = @SWIG_BIN@
354 SWIG_JAVA = @SWIG_JAVA@
355 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
356 TCLTK_LIBS = @TCLTK_LIBS@
357 TCL_INC_PATH = @TCL_INC_PATH@
358 TESTNG = @TESTNG@
359 TK_INC_PATH = @TK_INC_PATH@
360 UMFPACK_ENABLE = @UMFPACK_ENABLE@
361 UMFPACK_LIB = @UMFPACK_LIB@
362 USE_NLS = @USE_NLS@
363 VERSION = @VERSION@
364 WITH_OCAML = @WITH_OCAML@
365 WITH_TKSCI = @WITH_TKSCI@
366 XGETTEXT = @XGETTEXT@
367 XGETTEXT_015 = @XGETTEXT_015@
368 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
369 XMKMF = @XMKMF@
370 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
371 XML_APIS_EXT = @XML_APIS_EXT@
372 XML_CONFIG = @XML_CONFIG@
373 XML_FLAGS = @XML_FLAGS@
374 XML_LIBS = @XML_LIBS@
375 XML_VERSION = @XML_VERSION@
376 X_CFLAGS = @X_CFLAGS@
377 X_EXTRA_LIBS = @X_EXTRA_LIBS@
378 X_LIBS = @X_LIBS@
379 X_PRE_LIBS = @X_PRE_LIBS@
380 abs_builddir = @abs_builddir@
381 abs_srcdir = @abs_srcdir@
382 abs_top_builddir = @abs_top_builddir@
383 abs_top_srcdir = @abs_top_srcdir@
384 ac_ct_CC = @ac_ct_CC@
385 ac_ct_CXX = @ac_ct_CXX@
386 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
387 ac_ct_F77 = @ac_ct_F77@
388 am__include = @am__include@
389 am__leading_dot = @am__leading_dot@
390 am__quote = @am__quote@
391 am__tar = @am__tar@
392 am__untar = @am__untar@
393 bindir = @bindir@
394 build = @build@
395 build_alias = @build_alias@
396 build_cpu = @build_cpu@
397 build_os = @build_os@
398 build_vendor = @build_vendor@
399 builddir = @builddir@
400 cxx_present = @cxx_present@
401 datadir = @datadir@
402 datarootdir = @datarootdir@
403 docdir = @docdir@
404 dvidir = @dvidir@
405 exec_prefix = @exec_prefix@
406 host = @host@
407 host_alias = @host_alias@
408 host_cpu = @host_cpu@
409 host_os = @host_os@
410 host_vendor = @host_vendor@
411 htmldir = @htmldir@
412 includedir = @includedir@
413 infodir = @infodir@
414 install_sh = @install_sh@
415 libdir = @libdir@
416 libexecdir = @libexecdir@
417 localedir = @localedir@
418 localstatedir = @localstatedir@
419 mandir = @mandir@
420 mkdir_p = @mkdir_p@
421 oldincludedir = @oldincludedir@
422 pdfdir = @pdfdir@
423 prefix = @prefix@
424 program_transform_name = @program_transform_name@
425 psdir = @psdir@
426 sbindir = @sbindir@
427 sharedstatedir = @sharedstatedir@
428 srcdir = @srcdir@
429 sysconfdir = @sysconfdir@
430 target_alias = @target_alias@
431 top_build_prefix = @top_build_prefix@
432 top_builddir = @top_builddir@
433 top_srcdir = @top_srcdir@
434
435 #### Target ######
436 modulename = graphic_objects
437
438 #### graphic_objects : Conf files ####
439 libscigraphic_objects_la_rootdir = $(mydatadir)
440 libscigraphic_objects_la_root_DATA = changelog.txt license.txt readme.txt version.xml
441
442 #### graphic_objects : init scripts ####
443 libscigraphic_objects_la_etcdir = $(mydatadir)/etc
444 libscigraphic_objects_la_etc_DATA = etc/graphic_objects.quit \
445                                 etc/graphic_objects.start
446
447
448 # Where all the Scilab stuff is installed (macros, help, ...)
449 mydatadir = $(pkgdatadir)/modules/$(modulename)
450
451 # splint options
452 SPLINT_OPTIONS = -weak -booltype BOOL
453
454 ########################### JAVA ######################################
455 #### We are delegating java compilation to ant... Thanks to that
456 #### the procedure will be the same with Microsoft Windows (C)
457 #### and Linux/Unix
458 #######################################################################
459 TARGETS_ALL = $(am__append_1) $(am__append_2)
460
461 ################ MACROS ######################
462 # Rule to build a macro
463 # NOT USED  AT THE MOMENT
464 SUFFIXES = .sci 
465
466 ########### INSTALL DOCUMENTATION ###################
467
468 # Install documentation files into the right target
469 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
470 # automake needs the html files to be present which is not the case when
471 # we are building Scilab
472
473 # Where it should be installed
474 pkgdocdir = $(mydatadir)
475
476 # What is the mask of the help source
477 DOCMASKXML = *.xml
478
479 # What is the mask of the MathML sources
480 DOCMASKMML = *.mml
481
482 ########### INSTALL DATA ###################
483 # Install macros, help & demos
484 # Where it should be installed
485 pkgmacrosdir = $(mydatadir)
486 # Which directory we process
487 MACRODIRS = macros/
488 # Mask of the Scilab sources macros
489 MACROMASK = *.sci
490 # Mask of the Scilab executable sources macros
491 MACROBUILDMASK = *.sce
492 # Mask of the Scilab compiled macros
493 MACROBINMASK = *.bin
494 # List of the standard directory for tests
495 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests
496 # Where the demos should be installed
497 pkgdemosdir = $(mydatadir)
498 # List of the standard directory for demos
499 DEMOS_DIR = demos
500 # List of the standard directory for examples
501 EXAMPLES_DIR = examples
502 # Where to export JAVA archives (.jar)
503 JARDIR = jar/
504 # JAR files mask
505 JARMASK = *.jar
506 # Chapter file 
507 HELP_CHAPTERDIR = help/
508 HELP_CHAPTERFILE = addchapter.sce
509 HELP_CHAPTERLANG = en_US fr_FR pt_BR
510 BUILT_SOURCES = includes/graphicObjectsProperties.h $(am__append_3) \
511         $(am__append_5)
512 #This file is also generated, but can not be listed to prevent GCJ call.
513 #src/java/org/scilab/modules/graphic_objects/graphicObject/GraphicObjectProperties.java
514 GRAPHIC_OBJECTS_JNI_SOURCES = src/jni/CallGraphicController.cpp
515 GRAPHIC_OBJECTS_C_SOURCES = 
516 GRAPHIC_OBJECTS_CPP_SOURCES = src/cpp/createGraphicObject.cpp \
517                                                                 src/cpp/getGraphicObjectProperty.cpp \
518                                                                 src/cpp/setGraphicObjectProperty.cpp \
519                                                                 src/cpp/deleteGraphicObject.cpp \
520                                                                 src/cpp/dataModel.cpp \
521                                                                 src/cpp/Data3D.cpp \
522                                                                 src/cpp/NgonData.cpp \
523                                                                 src/cpp/NgonGeneralData.cpp \
524                                                                 src/cpp/NgonPolylineData.cpp
525
526 GIWS_WRAPPERS = src/jni/graphic_objects.giws.xml
527 GATEWAY_C_SOURCES = sci_gateway/c/gw_graphic_objects.c
528 GATEWAY_CPP_SOURCES = sci_gateway/cpp/sci_graphicfunction.cpp
529 libscigraphic_objects_la_CFLAGS = $(JAVA_JNI_INCLUDE) \
530                         -I$(top_srcdir)/libs/MALLOC/includes/ \
531                         -I$(top_srcdir)/modules/jvm/includes/ \
532                         -I$(top_srcdir)/modules/output_stream/includes \
533                         -I$(top_srcdir)/modules/localization/includes \
534                         -I$(top_srcdir)/modules/api_scilab/includes \
535                         -I$(top_srcdir)/modules/core/includes
536
537 libscigraphic_objects_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
538                         -I$(srcdir)/includes/ \
539                         -I$(srcdir)/src/cpp/ \
540                         -I$(srcdir)/src/c/ \
541                         -I$(srcdir)/src/jni/ \
542                         -I$(top_srcdir)/modules/jvm/includes/ \
543                         -I$(top_srcdir)/modules/output_stream/includes \
544                         -I$(top_srcdir)/modules/localization/includes \
545                         -I$(top_srcdir)/modules/api_scilab/includes
546
547
548 # Without the graphic_objects module
549 libscigraphic_objects_disable_la_CFLAGS = -Iincludes/ \
550                         -I$(top_srcdir)/modules/output_stream/includes
551
552 GRAPHIC_OBJECTS_DISABLE_C_SOURCES = src/nographic_objects/nographic_objects.c
553 libscigraphic_objects_disable_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)
554 libscigraphic_objects_disable_la_SOURCES = $(GRAPHIC_OBJECTS_DISABLE_C_SOURCES)
555 pkglib_LTLIBRARIES = libscigraphic_objects-disable.la $(am__append_4)
556 libscigraphic_objects_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION) $(LD_FLAGS)  $(X_LIBS) $(X_EXTRA_LIBS)
557 libscigraphic_objects_la_SOURCES = $(GRAPHIC_OBJECTS_GEN_SOURCES) $(GRAPHIC_OBJECTS_C_SOURCES) $(GRAPHIC_OBJECTS_JNI_SOURCES) $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES) $(GRAPHIC_OBJECTS_CPP_SOURCES)
558
559 # For the code check (splint)
560 CHECK_SRC = $(GRAPHIC_OBJECTS_C_SOURCES) $(GATEWAY_C_SOURCES)
561 INCLUDE_FLAGS = $(libscigraphic_objects_la_CFLAGS)
562
563 #### SWIG Declaration ####
564 SWIG_WRAPPERS = 
565 libscigraphic_objects_la_LIBADD = $(top_builddir)/modules/core/libscicore.la \
566 $(top_builddir)/libs/MALLOC/libscimalloc.la \
567 $(top_builddir)/modules/output_stream/libscioutput_stream.la
568
569
570 #### graphic_objects : gateway declaration ####
571 libscigraphic_objects_la_sci_gatewaydir = $(mydatadir)/sci_gateway
572 libscigraphic_objects_la_sci_gateway_DATA = sci_gateway/graphic_objects_gateway.xml
573 @GUI_TRUE@USEANT = 1
574 all: $(BUILT_SOURCES)
575         $(MAKE) $(AM_MAKEFLAGS) all-am
576
577 .SUFFIXES:
578 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
579 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
580         @for dep in $?; do \
581           case '$(am__configure_deps)' in \
582             *$$dep*) \
583               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
584                 && { if test -f $@; then exit 0; else break; fi; }; \
585               exit 1;; \
586           esac; \
587         done; \
588         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/graphic_objects/Makefile'; \
589         $(am__cd) $(top_srcdir) && \
590           $(AUTOMAKE) --foreign modules/graphic_objects/Makefile
591 .PRECIOUS: Makefile
592 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
593         @case '$?' in \
594           *config.status*) \
595             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
596           *) \
597             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
598             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
599         esac;
600
601 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
602         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
603
604 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
605         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
606 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
607         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
608 $(am__aclocal_m4_deps):
609 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
610         @$(NORMAL_INSTALL)
611         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
612         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
613         list2=; for p in $$list; do \
614           if test -f $$p; then \
615             list2="$$list2 $$p"; \
616           else :; fi; \
617         done; \
618         test -z "$$list2" || { \
619           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
620           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
621         }
622
623 uninstall-pkglibLTLIBRARIES:
624         @$(NORMAL_UNINSTALL)
625         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
626         for p in $$list; do \
627           $(am__strip_dir) \
628           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
629           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
630         done
631
632 clean-pkglibLTLIBRARIES:
633         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
634         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
635           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
636           test "$$dir" != "$$p" || dir=.; \
637           echo "rm -f \"$${dir}/so_locations\""; \
638           rm -f "$${dir}/so_locations"; \
639         done
640 libscigraphic_objects-disable.la: $(libscigraphic_objects_disable_la_OBJECTS) $(libscigraphic_objects_disable_la_DEPENDENCIES) 
641         $(libscigraphic_objects_disable_la_LINK) -rpath $(pkglibdir) $(libscigraphic_objects_disable_la_OBJECTS) $(libscigraphic_objects_disable_la_LIBADD) $(LIBS)
642 libscigraphic_objects.la: $(libscigraphic_objects_la_OBJECTS) $(libscigraphic_objects_la_DEPENDENCIES) 
643         $(libscigraphic_objects_la_LINK) $(am_libscigraphic_objects_la_rpath) $(libscigraphic_objects_la_OBJECTS) $(libscigraphic_objects_la_LIBADD) $(LIBS)
644
645 mostlyclean-compile:
646         -rm -f *.$(OBJEXT)
647
648 distclean-compile:
649         -rm -f *.tab.c
650
651 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_disable_la-nographic_objects.Plo@am__quote@
652 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-CallGraphicController.Plo@am__quote@
653 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-Data3D.Plo@am__quote@
654 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-NgonData.Plo@am__quote@
655 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-NgonGeneralData.Plo@am__quote@
656 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-NgonPolylineData.Plo@am__quote@
657 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-createGraphicObject.Plo@am__quote@
658 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-dataModel.Plo@am__quote@
659 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-deleteGraphicObject.Plo@am__quote@
660 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-getGraphicObjectProperty.Plo@am__quote@
661 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-gw_graphic_objects.Plo@am__quote@
662 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-sci_graphicfunction.Plo@am__quote@
663 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscigraphic_objects_la-setGraphicObjectProperty.Plo@am__quote@
664
665 .c.o:
666 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
667 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
668 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
669 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
670 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
671
672 .c.obj:
673 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
674 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
676 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
677 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
678
679 .c.lo:
680 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
681 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
683 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
684 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
685
686 libscigraphic_objects_disable_la-nographic_objects.lo: src/nographic_objects/nographic_objects.c
687 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscigraphic_objects_disable_la_CFLAGS) $(CFLAGS) -MT libscigraphic_objects_disable_la-nographic_objects.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_disable_la-nographic_objects.Tpo -c -o libscigraphic_objects_disable_la-nographic_objects.lo `test -f 'src/nographic_objects/nographic_objects.c' || echo '$(srcdir)/'`src/nographic_objects/nographic_objects.c
688 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscigraphic_objects_disable_la-nographic_objects.Tpo $(DEPDIR)/libscigraphic_objects_disable_la-nographic_objects.Plo
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/nographic_objects/nographic_objects.c' object='libscigraphic_objects_disable_la-nographic_objects.lo' libtool=yes @AMDEPBACKSLASH@
690 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
691 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscigraphic_objects_disable_la_CFLAGS) $(CFLAGS) -c -o libscigraphic_objects_disable_la-nographic_objects.lo `test -f 'src/nographic_objects/nographic_objects.c' || echo '$(srcdir)/'`src/nographic_objects/nographic_objects.c
692
693 libscigraphic_objects_la-gw_graphic_objects.lo: sci_gateway/c/gw_graphic_objects.c
694 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(libscigraphic_objects_la_CFLAGS) $(CFLAGS) -MT libscigraphic_objects_la-gw_graphic_objects.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-gw_graphic_objects.Tpo -c -o libscigraphic_objects_la-gw_graphic_objects.lo `test -f 'sci_gateway/c/gw_graphic_objects.c' || echo '$(srcdir)/'`sci_gateway/c/gw_graphic_objects.c
695 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscigraphic_objects_la-gw_graphic_objects.Tpo $(DEPDIR)/libscigraphic_objects_la-gw_graphic_objects.Plo
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_graphic_objects.c' object='libscigraphic_objects_la-gw_graphic_objects.lo' libtool=yes @AMDEPBACKSLASH@
697 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
698 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(libscigraphic_objects_la_CFLAGS) $(CFLAGS) -c -o libscigraphic_objects_la-gw_graphic_objects.lo `test -f 'sci_gateway/c/gw_graphic_objects.c' || echo '$(srcdir)/'`sci_gateway/c/gw_graphic_objects.c
699
700 .cpp.o:
701 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
702 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
703 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
704 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
705 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
706
707 .cpp.obj:
708 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
709 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
710 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
711 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
712 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
713
714 .cpp.lo:
715 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
716 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
717 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
718 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
719 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
720
721 libscigraphic_objects_la-CallGraphicController.lo: src/jni/CallGraphicController.cpp
722 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_objects_la-CallGraphicController.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-CallGraphicController.Tpo -c -o libscigraphic_objects_la-CallGraphicController.lo `test -f 'src/jni/CallGraphicController.cpp' || echo '$(srcdir)/'`src/jni/CallGraphicController.cpp
723 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscigraphic_objects_la-CallGraphicController.Tpo $(DEPDIR)/libscigraphic_objects_la-CallGraphicController.Plo
724 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/jni/CallGraphicController.cpp' object='libscigraphic_objects_la-CallGraphicController.lo' libtool=yes @AMDEPBACKSLASH@
725 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
726 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_objects_la-CallGraphicController.lo `test -f 'src/jni/CallGraphicController.cpp' || echo '$(srcdir)/'`src/jni/CallGraphicController.cpp
727
728 libscigraphic_objects_la-sci_graphicfunction.lo: sci_gateway/cpp/sci_graphicfunction.cpp
729 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_objects_la-sci_graphicfunction.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-sci_graphicfunction.Tpo -c -o libscigraphic_objects_la-sci_graphicfunction.lo `test -f 'sci_gateway/cpp/sci_graphicfunction.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_graphicfunction.cpp
730 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscigraphic_objects_la-sci_graphicfunction.Tpo $(DEPDIR)/libscigraphic_objects_la-sci_graphicfunction.Plo
731 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='sci_gateway/cpp/sci_graphicfunction.cpp' object='libscigraphic_objects_la-sci_graphicfunction.lo' libtool=yes @AMDEPBACKSLASH@
732 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
733 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_objects_la-sci_graphicfunction.lo `test -f 'sci_gateway/cpp/sci_graphicfunction.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_graphicfunction.cpp
734
735 libscigraphic_objects_la-createGraphicObject.lo: src/cpp/createGraphicObject.cpp
736 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_objects_la-createGraphicObject.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-createGraphicObject.Tpo -c -o libscigraphic_objects_la-createGraphicObject.lo `test -f 'src/cpp/createGraphicObject.cpp' || echo '$(srcdir)/'`src/cpp/createGraphicObject.cpp
737 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscigraphic_objects_la-createGraphicObject.Tpo $(DEPDIR)/libscigraphic_objects_la-createGraphicObject.Plo
738 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/createGraphicObject.cpp' object='libscigraphic_objects_la-createGraphicObject.lo' libtool=yes @AMDEPBACKSLASH@
739 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
740 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_objects_la-createGraphicObject.lo `test -f 'src/cpp/createGraphicObject.cpp' || echo '$(srcdir)/'`src/cpp/createGraphicObject.cpp
741
742 libscigraphic_objects_la-getGraphicObjectProperty.lo: src/cpp/getGraphicObjectProperty.cpp
743 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_objects_la-getGraphicObjectProperty.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-getGraphicObjectProperty.Tpo -c -o libscigraphic_objects_la-getGraphicObjectProperty.lo `test -f 'src/cpp/getGraphicObjectProperty.cpp' || echo '$(srcdir)/'`src/cpp/getGraphicObjectProperty.cpp
744 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscigraphic_objects_la-getGraphicObjectProperty.Tpo $(DEPDIR)/libscigraphic_objects_la-getGraphicObjectProperty.Plo
745 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/getGraphicObjectProperty.cpp' object='libscigraphic_objects_la-getGraphicObjectProperty.lo' libtool=yes @AMDEPBACKSLASH@
746 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
747 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_objects_la-getGraphicObjectProperty.lo `test -f 'src/cpp/getGraphicObjectProperty.cpp' || echo '$(srcdir)/'`src/cpp/getGraphicObjectProperty.cpp
748
749 libscigraphic_objects_la-setGraphicObjectProperty.lo: src/cpp/setGraphicObjectProperty.cpp
750 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_objects_la-setGraphicObjectProperty.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-setGraphicObjectProperty.Tpo -c -o libscigraphic_objects_la-setGraphicObjectProperty.lo `test -f 'src/cpp/setGraphicObjectProperty.cpp' || echo '$(srcdir)/'`src/cpp/setGraphicObjectProperty.cpp
751 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscigraphic_objects_la-setGraphicObjectProperty.Tpo $(DEPDIR)/libscigraphic_objects_la-setGraphicObjectProperty.Plo
752 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/setGraphicObjectProperty.cpp' object='libscigraphic_objects_la-setGraphicObjectProperty.lo' libtool=yes @AMDEPBACKSLASH@
753 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
754 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_objects_la-setGraphicObjectProperty.lo `test -f 'src/cpp/setGraphicObjectProperty.cpp' || echo '$(srcdir)/'`src/cpp/setGraphicObjectProperty.cpp
755
756 libscigraphic_objects_la-deleteGraphicObject.lo: src/cpp/deleteGraphicObject.cpp
757 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_objects_la-deleteGraphicObject.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-deleteGraphicObject.Tpo -c -o libscigraphic_objects_la-deleteGraphicObject.lo `test -f 'src/cpp/deleteGraphicObject.cpp' || echo '$(srcdir)/'`src/cpp/deleteGraphicObject.cpp
758 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscigraphic_objects_la-deleteGraphicObject.Tpo $(DEPDIR)/libscigraphic_objects_la-deleteGraphicObject.Plo
759 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/deleteGraphicObject.cpp' object='libscigraphic_objects_la-deleteGraphicObject.lo' libtool=yes @AMDEPBACKSLASH@
760 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
761 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_objects_la-deleteGraphicObject.lo `test -f 'src/cpp/deleteGraphicObject.cpp' || echo '$(srcdir)/'`src/cpp/deleteGraphicObject.cpp
762
763 libscigraphic_objects_la-dataModel.lo: src/cpp/dataModel.cpp
764 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_objects_la-dataModel.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-dataModel.Tpo -c -o libscigraphic_objects_la-dataModel.lo `test -f 'src/cpp/dataModel.cpp' || echo '$(srcdir)/'`src/cpp/dataModel.cpp
765 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscigraphic_objects_la-dataModel.Tpo $(DEPDIR)/libscigraphic_objects_la-dataModel.Plo
766 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/dataModel.cpp' object='libscigraphic_objects_la-dataModel.lo' libtool=yes @AMDEPBACKSLASH@
767 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
768 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_objects_la-dataModel.lo `test -f 'src/cpp/dataModel.cpp' || echo '$(srcdir)/'`src/cpp/dataModel.cpp
769
770 libscigraphic_objects_la-Data3D.lo: src/cpp/Data3D.cpp
771 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_objects_la-Data3D.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-Data3D.Tpo -c -o libscigraphic_objects_la-Data3D.lo `test -f 'src/cpp/Data3D.cpp' || echo '$(srcdir)/'`src/cpp/Data3D.cpp
772 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscigraphic_objects_la-Data3D.Tpo $(DEPDIR)/libscigraphic_objects_la-Data3D.Plo
773 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/Data3D.cpp' object='libscigraphic_objects_la-Data3D.lo' libtool=yes @AMDEPBACKSLASH@
774 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
775 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_objects_la-Data3D.lo `test -f 'src/cpp/Data3D.cpp' || echo '$(srcdir)/'`src/cpp/Data3D.cpp
776
777 libscigraphic_objects_la-NgonData.lo: src/cpp/NgonData.cpp
778 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_objects_la-NgonData.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-NgonData.Tpo -c -o libscigraphic_objects_la-NgonData.lo `test -f 'src/cpp/NgonData.cpp' || echo '$(srcdir)/'`src/cpp/NgonData.cpp
779 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscigraphic_objects_la-NgonData.Tpo $(DEPDIR)/libscigraphic_objects_la-NgonData.Plo
780 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/NgonData.cpp' object='libscigraphic_objects_la-NgonData.lo' libtool=yes @AMDEPBACKSLASH@
781 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
782 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_objects_la-NgonData.lo `test -f 'src/cpp/NgonData.cpp' || echo '$(srcdir)/'`src/cpp/NgonData.cpp
783
784 libscigraphic_objects_la-NgonGeneralData.lo: src/cpp/NgonGeneralData.cpp
785 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_objects_la-NgonGeneralData.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-NgonGeneralData.Tpo -c -o libscigraphic_objects_la-NgonGeneralData.lo `test -f 'src/cpp/NgonGeneralData.cpp' || echo '$(srcdir)/'`src/cpp/NgonGeneralData.cpp
786 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscigraphic_objects_la-NgonGeneralData.Tpo $(DEPDIR)/libscigraphic_objects_la-NgonGeneralData.Plo
787 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/NgonGeneralData.cpp' object='libscigraphic_objects_la-NgonGeneralData.lo' libtool=yes @AMDEPBACKSLASH@
788 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
789 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_objects_la-NgonGeneralData.lo `test -f 'src/cpp/NgonGeneralData.cpp' || echo '$(srcdir)/'`src/cpp/NgonGeneralData.cpp
790
791 libscigraphic_objects_la-NgonPolylineData.lo: src/cpp/NgonPolylineData.cpp
792 @am__fastdepCXX_TRUE@   $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libscigraphic_objects_la-NgonPolylineData.lo -MD -MP -MF $(DEPDIR)/libscigraphic_objects_la-NgonPolylineData.Tpo -c -o libscigraphic_objects_la-NgonPolylineData.lo `test -f 'src/cpp/NgonPolylineData.cpp' || echo '$(srcdir)/'`src/cpp/NgonPolylineData.cpp
793 @am__fastdepCXX_TRUE@   $(am__mv) $(DEPDIR)/libscigraphic_objects_la-NgonPolylineData.Tpo $(DEPDIR)/libscigraphic_objects_la-NgonPolylineData.Plo
794 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='src/cpp/NgonPolylineData.cpp' object='libscigraphic_objects_la-NgonPolylineData.lo' libtool=yes @AMDEPBACKSLASH@
795 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
796 @am__fastdepCXX_FALSE@  $(LIBTOOL)  --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscigraphic_objects_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libscigraphic_objects_la-NgonPolylineData.lo `test -f 'src/cpp/NgonPolylineData.cpp' || echo '$(srcdir)/'`src/cpp/NgonPolylineData.cpp
797
798 mostlyclean-libtool:
799         -rm -f *.lo
800
801 clean-libtool:
802         -rm -rf .libs _libs
803 install-libscigraphic_objects_la_etcDATA: $(libscigraphic_objects_la_etc_DATA)
804         @$(NORMAL_INSTALL)
805         test -z "$(libscigraphic_objects_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscigraphic_objects_la_etcdir)"
806         @list='$(libscigraphic_objects_la_etc_DATA)'; test -n "$(libscigraphic_objects_la_etcdir)" || list=; \
807         for p in $$list; do \
808           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
809           echo "$$d$$p"; \
810         done | $(am__base_list) | \
811         while read files; do \
812           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscigraphic_objects_la_etcdir)'"; \
813           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscigraphic_objects_la_etcdir)" || exit $$?; \
814         done
815
816 uninstall-libscigraphic_objects_la_etcDATA:
817         @$(NORMAL_UNINSTALL)
818         @list='$(libscigraphic_objects_la_etc_DATA)'; test -n "$(libscigraphic_objects_la_etcdir)" || list=; \
819         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
820         test -n "$$files" || exit 0; \
821         echo " ( cd '$(DESTDIR)$(libscigraphic_objects_la_etcdir)' && rm -f" $$files ")"; \
822         cd "$(DESTDIR)$(libscigraphic_objects_la_etcdir)" && rm -f $$files
823 install-libscigraphic_objects_la_rootDATA: $(libscigraphic_objects_la_root_DATA)
824         @$(NORMAL_INSTALL)
825         test -z "$(libscigraphic_objects_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscigraphic_objects_la_rootdir)"
826         @list='$(libscigraphic_objects_la_root_DATA)'; test -n "$(libscigraphic_objects_la_rootdir)" || list=; \
827         for p in $$list; do \
828           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
829           echo "$$d$$p"; \
830         done | $(am__base_list) | \
831         while read files; do \
832           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscigraphic_objects_la_rootdir)'"; \
833           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscigraphic_objects_la_rootdir)" || exit $$?; \
834         done
835
836 uninstall-libscigraphic_objects_la_rootDATA:
837         @$(NORMAL_UNINSTALL)
838         @list='$(libscigraphic_objects_la_root_DATA)'; test -n "$(libscigraphic_objects_la_rootdir)" || list=; \
839         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
840         test -n "$$files" || exit 0; \
841         echo " ( cd '$(DESTDIR)$(libscigraphic_objects_la_rootdir)' && rm -f" $$files ")"; \
842         cd "$(DESTDIR)$(libscigraphic_objects_la_rootdir)" && rm -f $$files
843 install-libscigraphic_objects_la_sci_gatewayDATA: $(libscigraphic_objects_la_sci_gateway_DATA)
844         @$(NORMAL_INSTALL)
845         test -z "$(libscigraphic_objects_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscigraphic_objects_la_sci_gatewaydir)"
846         @list='$(libscigraphic_objects_la_sci_gateway_DATA)'; test -n "$(libscigraphic_objects_la_sci_gatewaydir)" || list=; \
847         for p in $$list; do \
848           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
849           echo "$$d$$p"; \
850         done | $(am__base_list) | \
851         while read files; do \
852           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscigraphic_objects_la_sci_gatewaydir)'"; \
853           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscigraphic_objects_la_sci_gatewaydir)" || exit $$?; \
854         done
855
856 uninstall-libscigraphic_objects_la_sci_gatewayDATA:
857         @$(NORMAL_UNINSTALL)
858         @list='$(libscigraphic_objects_la_sci_gateway_DATA)'; test -n "$(libscigraphic_objects_la_sci_gatewaydir)" || list=; \
859         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
860         test -n "$$files" || exit 0; \
861         echo " ( cd '$(DESTDIR)$(libscigraphic_objects_la_sci_gatewaydir)' && rm -f" $$files ")"; \
862         cd "$(DESTDIR)$(libscigraphic_objects_la_sci_gatewaydir)" && rm -f $$files
863
864 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
865         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
866         unique=`for i in $$list; do \
867             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
868           done | \
869           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
870               END { if (nonempty) { for (i in files) print i; }; }'`; \
871         mkid -fID $$unique
872 tags: TAGS
873
874 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
875                 $(TAGS_FILES) $(LISP)
876         set x; \
877         here=`pwd`; \
878         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
879         unique=`for i in $$list; do \
880             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
881           done | \
882           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
883               END { if (nonempty) { for (i in files) print i; }; }'`; \
884         shift; \
885         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
886           test -n "$$unique" || unique=$$empty_fix; \
887           if test $$# -gt 0; then \
888             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
889               "$$@" $$unique; \
890           else \
891             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
892               $$unique; \
893           fi; \
894         fi
895 ctags: CTAGS
896 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
897                 $(TAGS_FILES) $(LISP)
898         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
899         unique=`for i in $$list; do \
900             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
901           done | \
902           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
903               END { if (nonempty) { for (i in files) print i; }; }'`; \
904         test -z "$(CTAGS_ARGS)$$unique" \
905           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
906              $$unique
907
908 GTAGS:
909         here=`$(am__cd) $(top_builddir) && pwd` \
910           && $(am__cd) $(top_srcdir) \
911           && gtags -i $(GTAGS_ARGS) "$$here"
912
913 distclean-tags:
914         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
915
916 distdir: $(DISTFILES)
917         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
918         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
919         list='$(DISTFILES)'; \
920           dist_files=`for file in $$list; do echo $$file; done | \
921           sed -e "s|^$$srcdirstrip/||;t" \
922               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
923         case $$dist_files in \
924           */*) $(MKDIR_P) `echo "$$dist_files" | \
925                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
926                            sort -u` ;; \
927         esac; \
928         for file in $$dist_files; do \
929           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
930           if test -d $$d/$$file; then \
931             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
932             if test -d "$(distdir)/$$file"; then \
933               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
934             fi; \
935             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
936               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
937               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
938             fi; \
939             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
940           else \
941             test -f "$(distdir)/$$file" \
942             || cp -p $$d/$$file "$(distdir)/$$file" \
943             || exit 1; \
944           fi; \
945         done
946 check-am: all-am
947         $(MAKE) $(AM_MAKEFLAGS) check-local
948 check: $(BUILT_SOURCES)
949         $(MAKE) $(AM_MAKEFLAGS) check-am
950 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
951 installdirs:
952         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscigraphic_objects_la_etcdir)" "$(DESTDIR)$(libscigraphic_objects_la_rootdir)" "$(DESTDIR)$(libscigraphic_objects_la_sci_gatewaydir)"; do \
953           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
954         done
955 install: $(BUILT_SOURCES)
956         $(MAKE) $(AM_MAKEFLAGS) install-am
957 install-exec: install-exec-am
958 install-data: install-data-am
959 uninstall: uninstall-am
960
961 install-am: all-am
962         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
963
964 installcheck: installcheck-am
965 install-strip:
966         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
967           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
968           `test -z '$(STRIP)' || \
969             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
970 mostlyclean-generic:
971
972 clean-generic:
973
974 distclean-generic:
975         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
976         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
977
978 maintainer-clean-generic:
979         @echo "This command is intended for maintainers to use"
980         @echo "it deletes files that may require special tools to rebuild."
981         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
982 clean: clean-am
983
984 clean-am: clean-generic clean-libtool clean-local \
985         clean-pkglibLTLIBRARIES mostlyclean-am
986
987 distclean: distclean-am
988         -rm -rf ./$(DEPDIR)
989         -rm -f Makefile
990 distclean-am: clean-am distclean-compile distclean-generic \
991         distclean-local distclean-tags
992
993 dvi: dvi-am
994
995 dvi-am:
996
997 html: html-am
998
999 html-am:
1000
1001 info: info-am
1002
1003 info-am:
1004
1005 install-data-am: install-data-local \
1006         install-libscigraphic_objects_la_etcDATA \
1007         install-libscigraphic_objects_la_rootDATA \
1008         install-libscigraphic_objects_la_sci_gatewayDATA
1009
1010 install-dvi: install-dvi-am
1011
1012 install-dvi-am:
1013
1014 install-exec-am: install-pkglibLTLIBRARIES
1015
1016 install-html: install-html-am
1017
1018 install-html-am: install-html-local
1019
1020 install-info: install-info-am
1021
1022 install-info-am:
1023
1024 install-man:
1025
1026 install-pdf: install-pdf-am
1027
1028 install-pdf-am:
1029
1030 install-ps: install-ps-am
1031
1032 install-ps-am:
1033
1034 installcheck-am:
1035
1036 maintainer-clean: maintainer-clean-am
1037         -rm -rf ./$(DEPDIR)
1038         -rm -f Makefile
1039 maintainer-clean-am: distclean-am maintainer-clean-generic
1040
1041 mostlyclean: mostlyclean-am
1042
1043 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1044         mostlyclean-libtool
1045
1046 pdf: pdf-am
1047
1048 pdf-am:
1049
1050 ps: ps-am
1051
1052 ps-am:
1053
1054 uninstall-am: uninstall-libscigraphic_objects_la_etcDATA \
1055         uninstall-libscigraphic_objects_la_rootDATA \
1056         uninstall-libscigraphic_objects_la_sci_gatewayDATA \
1057         uninstall-pkglibLTLIBRARIES
1058
1059 .MAKE: all check check-am install install-am install-strip
1060
1061 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1062         clean clean-generic clean-libtool clean-local \
1063         clean-pkglibLTLIBRARIES ctags distclean distclean-compile \
1064         distclean-generic distclean-libtool distclean-local \
1065         distclean-tags distdir dvi dvi-am html html-am info info-am \
1066         install install-am install-data install-data-am \
1067         install-data-local install-dvi install-dvi-am install-exec \
1068         install-exec-am install-html install-html-am \
1069         install-html-local install-info install-info-am \
1070         install-libscigraphic_objects_la_etcDATA \
1071         install-libscigraphic_objects_la_rootDATA \
1072         install-libscigraphic_objects_la_sci_gatewayDATA install-man \
1073         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1074         install-ps install-ps-am install-strip installcheck \
1075         installcheck-am installdirs maintainer-clean \
1076         maintainer-clean-generic mostlyclean mostlyclean-compile \
1077         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1078         tags uninstall uninstall-am \
1079         uninstall-libscigraphic_objects_la_etcDATA \
1080         uninstall-libscigraphic_objects_la_rootDATA \
1081         uninstall-libscigraphic_objects_la_sci_gatewayDATA \
1082         uninstall-pkglibLTLIBRARIES
1083
1084
1085 # This target enables tests for Scilab
1086 check-local: $(top_builddir)/scilab-bin test
1087         @COMMAND="test_run('$(modulename)');quit";\
1088         export LANG=C;\
1089         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1090 check-code:
1091         if test -f build.xml; then \
1092                 $(ANT) checkstyle; \
1093         fi
1094         if test -x "$(SPLINT)"; then \
1095                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1096         fi
1097 @NEED_JAVA_TRUE@java:
1098 # Some configurations needs to export JAVA_HOME in the current env
1099 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1100 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1101 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1102 @NEED_JAVA_TRUE@                $(ANT); \
1103 @NEED_JAVA_TRUE@        fi
1104
1105 @NEED_JAVA_TRUE@clean-java:
1106 # Some configurations needs to export JAVA_HOME in the current env
1107 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1108 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1109 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1110 @NEED_JAVA_TRUE@                $(ANT) clean; \
1111 @NEED_JAVA_TRUE@        fi;
1112
1113 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1114 # We call the target swig-build on the variable SWIG_WRAPPERS
1115
1116 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1117 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1118 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1119 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1120 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1121 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1122 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1123 @SWIG_TRUE@             done; \
1124 @SWIG_TRUE@     fi
1125
1126 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1127 # We call the target swig-build on the variable SWIG_WRAPPERS
1128
1129 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1130 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1131 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1132 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1133 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1134 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1135 @GIWS_TRUE@             done; \
1136 @GIWS_TRUE@     fi
1137
1138 macros:
1139         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1140                 echo "Error : Cannot build $< : Scilab has not been built"; \
1141         else \
1142                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1143         fi)
1144
1145 # Removes the macros
1146 clean-macros:
1147 # Removes macros (*.bin generated from .sci)
1148         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1149                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1150                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1151         done
1152
1153 test:
1154 # More tests could be added here
1155         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1156         if test -f build.xml -a $$USEANT -eq 1; then \
1157                 $(ANT) test; \
1158         fi
1159
1160 all-local: $(TARGETS_ALL)
1161
1162 .sci.bin:
1163         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1164         echo "Error : Cannot build $< : Scilab has not been build"; \
1165         else \
1166         echo "Creating $@"; \
1167         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1168         fi )
1169
1170 install-html-local:
1171 # If the user wants the help sources to be installed
1172 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1173 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1174 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1175 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1176 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1177 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1178 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1179 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1180 @INSTALL_HELP_XML_TRUE@           done ; \
1181 @INSTALL_HELP_XML_TRUE@         fi; \
1182 @INSTALL_HELP_XML_TRUE@  fi; \
1183 @INSTALL_HELP_XML_TRUE@ done; \
1184 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1185 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1186 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1187 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1188 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1189 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1190 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1191 @INSTALL_HELP_XML_TRUE@           done ; \
1192 @INSTALL_HELP_XML_TRUE@         fi; \
1193 @INSTALL_HELP_XML_TRUE@ fi
1194 install-data-local:
1195 # Install the tests
1196         @echo "-------- Install tests (if any) --------"; \
1197         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1198           if test -d $(srcdir)/$$dir/; then \
1199             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1200                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1201                     if test -d "$(srcdir)/$$dir/$$file"; then \
1202                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1203                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1204                     else \
1205                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1206                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1207                     fi \
1208                   done; \
1209           fi; \
1210         done
1211 # Install the help chapter
1212         @echo "-------- Install the help chapter (if any) --------"; \
1213         for lang in $(HELP_CHAPTERLANG); do \
1214                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1215                 if test -f $$HELPFILE; then \
1216                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1217                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1218                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1219                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1220                 fi; \
1221         done
1222 # Install the demos & examples
1223         @echo "-------- Install demos & examples (if any) --------"; \
1224         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1225           if test -d $(srcdir)/$$dir/; then \
1226             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1227                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1228                     if test -d "$(srcdir)/$$dir/$$file"; then \
1229                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1230                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1231                     else \
1232                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1233                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1234                     fi \
1235                   done; \
1236           fi; \
1237         done
1238 # Install the macros
1239         @echo "-------- Install macros (if any) --------"; \
1240         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1241           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1242                 if test -d $(srcdir)/$$dir/; then \
1243                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1244                         if test -n "$(MACROSSPECIALEXT)"; then \
1245                                 specialExtDir=""; \
1246                                 for specialExt in $(MACROSSPECIALEXT); do \
1247                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1248                                 done; \
1249                                 FILELIST="$$FILELIST $$specialExtDir"; \
1250                         fi; \
1251                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1252                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1253                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1254                   done; \
1255                 fi; \
1256         done
1257 # Install java files (.jar)
1258         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1259         echo "-------- Install jar files --------"; \
1260     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1261           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1262                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1263                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1264           done ; \
1265         fi
1266
1267 ########### CLEAN ###################
1268 # Clean help (generated automatically by Scilab)
1269 # It used to clean the macro (clean-macros) but this was causing
1270 # make clean && make to fail Scilab startup
1271 @NEED_JAVA_TRUE@clean-local: clean-java
1272 @NEED_JAVA_FALSE@clean-local:
1273
1274 distclean-local:
1275         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1276
1277 .PHONY: macros java swig giws
1278
1279 includes/graphicObjectsProperties.h: Makefile.am src/scripts/propertiesMap.properties
1280         @echo "-- Building includes/graphicObjectProperties.h --"
1281         @$(top_srcdir)/modules/graphic_objects/src/scripts/genPropertiesName.sh --C $(top_srcdir)/modules/graphic_objects/src/scripts/propertiesMap.properties $(top_srcdir)/modules/graphic_objects/includes/graphicObjectProperties.h
1282         @echo "-- Building GraphicObjectProperties.java --"
1283         @$(top_srcdir)/modules/graphic_objects/src/scripts/genPropertiesName.sh --java $(top_srcdir)/modules/graphic_objects/src/scripts/propertiesMap.properties $(top_srcdir)/modules/graphic_objects/src/java/org/scilab/modules/graphic_objects/graphicObject/GraphicObjectProperties.java
1284
1285 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1286 # Otherwise a system limit (for SysV at least) may be exceeded.
1287 .NOEXPORT: